import type { ItemPoolType } from "isaac-typescript-definitions";
import { Feature } from "../../private/Feature";
export declare class CollectibleItemPoolType extends Feature {
    private readonly pickupIndexCreation;
    private readonly postPickupInitCollectible;
    /**
     * Helper function to get the item pool type that a given collectible came from. Since there is no
     * native method in the API to get this, we listen in the `POST_PICKUP_INIT` callback for
     * collectibles, use the `ItemPool.GetLastPool` method, and then assume that the collectible
     * matches.
     *
     * In order to use this function, you must upgrade your mod with
     * `ISCFeature.COLLECTIBLE_ITEM_POOL_TYPE`.
     *
     * @public
     */
    getCollectibleItemPoolType(collectible: EntityPickup): ItemPoolType;
}
//# sourceMappingURL=CollectibleItemPoolType.d.ts.map