/// <reference types="@typescript-to-lua/language-extensions" />
import type { CopyableIsaacAPIClassType } from "isaac-typescript-definitions";
export type SerializedBitSet128 = LuaMap<string, unknown> & {
    readonly __serializedBitSet128Brand: symbol;
    readonly __kind: CopyableIsaacAPIClassType.BIT_SET_128;
};
/** Helper function to copy a `BitSet128` Isaac API class. */
export declare function copyBitSet128(bitSet128: BitSet128): BitSet128;
/**
 * Helper function to convert a `SerializedBitSet128` object to a normal `BitSet128` object. (This
 * is used by the save data manager when reading data from the "save#.dat" file.)
 */
export declare function deserializeBitSet128(bitSet128: SerializedBitSet128): BitSet128;
/** Helper function to check if something is an instantiated `BitSet128` object. */
export declare function isBitSet128(object: unknown): object is BitSet128;
/**
 * Used to determine is the given table is a serialized `BitSet128` object created by the `deepCopy`
 * function.
 */
export declare function isSerializedBitSet128(object: unknown): object is SerializedBitSet128;
/**
 * Helper function to convert a `BitSet128` object to a `SerializedBitSet128` object. (This is used
 * by the save data manager when writing data from the "save#.dat" file.)
 */
export declare function serializeBitSet128(bitSet128: BitSet128): SerializedBitSet128;
//# sourceMappingURL=bitSet128.d.ts.map