import { EntityType, GridEntityType } from "isaac-typescript-definitions";
/** Helper function for printing out every entity (or filtered entity) in the current room. */
export declare function logAllEntities(this: void, includeBackgroundEffects: boolean, entityTypeFilter?: EntityType): void;
/**
 * Helper function for printing out every grid entity (or filtered grid entity) in the current room.
 *
 * @param includeWalls Optional. Whether oto log the walls. Default is false.
 * @param gridEntityTypeFilter Optional. If specified, will only log the given `GridEntityType`.
 *                             Default is undefined.
 */
export declare function logAllGridEntities(this: void, includeWalls?: boolean, gridEntityTypeFilter?: GridEntityType): void;
/** Helper function for logging an array of specific entities. */
export declare function logEntities(this: void, entities: Entity[]): void;
/** Helper function to log information about a specific entity. */
export declare function logEntity(this: void, entity: Entity): void;
/** Helper function for logging an array of specific grid entities. */
export declare function logGridEntities(this: void, gridEntities: GridEntity[]): void;
/** Helper function for log information about a specific grid entity. */
export declare function logGridEntity(this: void, gridEntity: GridEntity): void;
/**
 * Helper function to log information about the entity that corresponding to a pointer hash. (Only
 * use this when debugging, since retrieving the corresponding entity is expensive.)
 */
export declare function logPtrHash(this: void, ptrHash: PtrHash): void;
/**
 * Helper function to log information about the entity that corresponding to one or more pointer
 * hashes. (Only use this when debugging, since retrieving the corresponding entity is expensive.)
 */
export declare function logPtrHashes(this: void, ptrHashes: PtrHash[]): void;
//# sourceMappingURL=logEntities.d.ts.map