import type { CollectibleType, NullItemID, TrinketType } from "isaac-typescript-definitions";
/** Helper function to check to see if any player has a temporary collectible effect. */
export declare function anyPlayerHasCollectibleEffect(collectibleType: CollectibleType): boolean;
/** Helper function to check to see if any player has a temporary null effect. */
export declare function anyPlayerHasNullEffect(nullItemID: NullItemID): boolean;
/** Helper function to check to see if any player has a temporary trinket effect. */
export declare function anyPlayerHasTrinketEffect(trinketType: TrinketType): boolean;
/**
 * Helper function to get an array of temporary effects for a player. This is helpful so that you
 * don't have to manually create an array from an `EffectsList` object.
 */
export declare function getEffectsList(player: EntityPlayer): TemporaryEffect[];
/**
 * Helper function to check if a player should have Whore of Babylon active at their current health
 * level.
 *
 * - For most characters, Whore of Babylon activates when the red hearts are at 1/2 or less.
 * - For Eve, Whore of Babylon activates when the red hearts are at 1 or less.
 */
export declare function shouldWhoreOfBabylonBeActive(player: EntityPlayer): boolean;
//# sourceMappingURL=playerEffects.d.ts.map