import { CardType } from "isaac-typescript-definitions";
import { ReadonlyMap } from "../types/ReadonlyMap";

// cspell:ignore hiero

/** Maps card names to the values of the `CardType` enum. */
export const CARD_NAME_TO_TYPE_MAP = new ReadonlyMap<string, CardType>([
  ["fool", CardType.FOOL], // 1
  ["magician", CardType.MAGICIAN], // 2
  ["mag", CardType.MAGICIAN], // 2 - Needed since we have "mag?"
  ["highPriestess", CardType.HIGH_PRIESTESS], // 3
  ["priestess", CardType.HIGH_PRIESTESS], // 3
  ["priest", CardType.HIGH_PRIESTESS], // 3 - Needed since we have "priest?"
  ["hp", CardType.HIGH_PRIESTESS], // 3
  ["empress", CardType.EMPRESS], // 4
  ["emperor", CardType.EMPEROR], // 5
  ["emp", CardType.EMPEROR], // 5 - Needed since we have "hemp?"
  ["hierophant", CardType.HIEROPHANT], // 6
  ["hi", CardType.HIEROPHANT], // 6 - Needed since we have "hiero?"
  ["lovers", CardType.LOVERS], // 7
  ["chariot", CardType.CHARIOT], // 8
  ["justice", CardType.JUSTICE], // 9
  ["hermit", CardType.HERMIT], // 10
  ["wheelOfFortune", CardType.WHEEL_OF_FORTUNE], // 11
  ["wheel", CardType.WHEEL_OF_FORTUNE], // 11 - Needed since we have "wheel?"
  ["fortune", CardType.WHEEL_OF_FORTUNE], // 11
  ["strength", CardType.STRENGTH], // 12
  ["str", CardType.STRENGTH], // 12 - Needed since we have "str?"
  ["hangedMan", CardType.HANGED_MAN], // 13
  ["hanged", CardType.HANGED_MAN], // 13
  ["death", CardType.DEATH], // 14
  ["temperance", CardType.TEMPERANCE], // 15
  ["devil", CardType.DEVIL], // 16
  ["tower", CardType.TOWER], // 17
  ["stars", CardType.STARS], // 18
  ["moon", CardType.MOON], // 19
  ["sun", CardType.SUN], // 20
  ["judgement", CardType.JUDGEMENT], // 21
  ["judge", CardType.JUDGEMENT], // 21 - Needed since we have "judge?"
  ["world", CardType.WORLD], // 22
  ["2OfClubs", CardType.TWO_OF_CLUBS], // 23
  ["2Clubs", CardType.TWO_OF_CLUBS], // 23
  ["2OfDiamonds", CardType.TWO_OF_DIAMONDS], // 24
  ["2Diamonds", CardType.TWO_OF_DIAMONDS], // 24
  ["2OfSpades", CardType.TWO_OF_SPADES], // 25
  ["2Spades", CardType.TWO_OF_SPADES], // 25
  ["2OfHearts", CardType.TWO_OF_HEARTS], // 26
  ["2Hearts", CardType.TWO_OF_HEARTS], // 26
  ["aceOfClubs", CardType.ACE_OF_CLUBS], // 27
  ["aceClubs", CardType.ACE_OF_CLUBS], // 27
  ["aceOfDiamonds", CardType.ACE_OF_DIAMONDS], // 28
  ["aceDiamonds", CardType.ACE_OF_DIAMONDS], // 28
  ["aceOfSpades", CardType.ACE_OF_SPADES], // 29
  ["aceSpades", CardType.ACE_OF_SPADES], // 29
  ["aceOfHearts", CardType.ACE_OF_HEARTS], // 30
  ["aceHearts", CardType.ACE_OF_HEARTS], // 30
  ["joker", CardType.JOKER], // 31
  ["hagalaz", CardType.RUNE_HAGALAZ], // 32
  ["destruction", CardType.RUNE_HAGALAZ], // 32
  ["jera", CardType.RUNE_JERA], // 33
  ["abundance", CardType.RUNE_JERA], // 33
  ["ehwaz", CardType.RUNE_EHWAZ], // 34
  ["passage", CardType.RUNE_EHWAZ], // 34
  ["dagaz", CardType.RUNE_DAGAZ], // 35
  ["purity", CardType.RUNE_DAGAZ], // 35
  ["ansuz", CardType.RUNE_ANSUZ], // 36
  ["vision", CardType.RUNE_ANSUZ], // 36
  ["perthro", CardType.RUNE_PERTHRO], // 37
  ["change", CardType.RUNE_PERTHRO], // 37
  ["berkano", CardType.RUNE_BERKANO], // 38
  ["companionship", CardType.RUNE_BERKANO], // 38
  ["algiz", CardType.RUNE_ALGIZ], // 39
  ["resistance", CardType.RUNE_ALGIZ], // 39
  ["shield", CardType.RUNE_ALGIZ], // 39
  ["blankRune", CardType.RUNE_BLANK], // 40
  ["blackRune", CardType.RUNE_BLACK], // 41
  ["chaos", CardType.CHAOS], // 42
  ["credit", CardType.CREDIT], // 43
  ["rules", CardType.RULES], // 44
  ["againstHumanity", CardType.AGAINST_HUMANITY], // 45
  ["humanity", CardType.AGAINST_HUMANITY], // 45
  ["suicideKing", CardType.SUICIDE_KING], // 46
  ["suicide", CardType.SUICIDE_KING], // 46
  ["getOutOfJailFree", CardType.GET_OUT_OF_JAIL_FREE], // 47
  ["jail", CardType.GET_OUT_OF_JAIL_FREE], // 47
  ["?", CardType.QUESTION_MARK], // 48
  ["diceShard", CardType.DICE_SHARD], // 49
  ["shard", CardType.DICE_SHARD], // 49
  ["emergencyContact", CardType.EMERGENCY_CONTACT], // 50
  ["contact", CardType.EMERGENCY_CONTACT], // 50
  ["holy", CardType.HOLY], // 51
  ["hugeGrowth", CardType.HUGE_GROWTH], // 52
  ["growth", CardType.HUGE_GROWTH], // 52
  ["ancientRecall", CardType.ANCIENT_RECALL], // 53
  ["recall", CardType.ANCIENT_RECALL], // 53
  ["eraWalk", CardType.ERA_WALK], // 54
  ["walk", CardType.ERA_WALK], // 54
  ["runeShard", CardType.RUNE_SHARD], // 55
  ["shard", CardType.RUNE_SHARD], // 55
  ["fool?", CardType.REVERSE_FOOL], // 56
  ["magician?", CardType.REVERSE_MAGICIAN], // 57
  ["magi?", CardType.REVERSE_MAGICIAN], // 57
  ["mag?", CardType.REVERSE_MAGICIAN], // 57
  ["highPriestess?", CardType.REVERSE_HIGH_PRIESTESS], // 58
  ["high?", CardType.REVERSE_HIGH_PRIESTESS], // 58
  ["hi?", CardType.REVERSE_HIGH_PRIESTESS], // 58
  ["priestess?", CardType.REVERSE_HIGH_PRIESTESS], // 58
  ["priest?", CardType.REVERSE_HIGH_PRIESTESS], // 58
  ["hp?", CardType.REVERSE_HIGH_PRIESTESS], // 58
  ["empress?", CardType.REVERSE_EMPRESS], // 59
  ["emperor?", CardType.REVERSE_EMPEROR], // 60
  ["emp?", CardType.REVERSE_EMPEROR], // 60
  ["hierophant?", CardType.REVERSE_HIEROPHANT], // 61
  ["hiero?", CardType.REVERSE_HIEROPHANT], // 61
  ["lovers?", CardType.REVERSE_LOVERS], // 62
  ["chariot?", CardType.REVERSE_CHARIOT], // 63
  ["justice?", CardType.REVERSE_JUSTICE], // 64
  ["hermit?", CardType.REVERSE_HERMIT], // 65
  ["wheelOfFortune?", CardType.REVERSE_WHEEL_OF_FORTUNE], // 66
  ["wheel?", CardType.REVERSE_WHEEL_OF_FORTUNE], // 66
  ["fortune?", CardType.REVERSE_WHEEL_OF_FORTUNE], // 66
  ["strength?", CardType.REVERSE_STRENGTH], // 67
  ["str?", CardType.REVERSE_STRENGTH], // 67
  ["hangedMan?", CardType.REVERSE_HANGED_MAN], // 68
  ["hanged?", CardType.REVERSE_HANGED_MAN], // 68
  ["death?", CardType.REVERSE_DEATH], // 6
  ["temperance?", CardType.REVERSE_TEMPERANCE], // 70
  ["devil?", CardType.REVERSE_DEVIL], // 71
  ["tower?", CardType.REVERSE_TOWER], // 72
  ["stars?", CardType.REVERSE_STARS], // 73
  ["moon?", CardType.REVERSE_MOON], // 74
  ["sun?", CardType.REVERSE_SUN], // 75
  ["judgement?", CardType.REVERSE_JUDGEMENT], // 76
  ["judge?", CardType.REVERSE_JUDGEMENT], // 76
  ["world?", CardType.REVERSE_WORLD], // 77
  ["crackedKey", CardType.CRACKED_KEY], // 78
  ["key", CardType.CRACKED_KEY], // 78
  ["queenOfHearts", CardType.QUEEN_OF_HEARTS], // 79
  ["queenHearts", CardType.QUEEN_OF_HEARTS], // 79
  ["wildcard", CardType.WILD], // 80
  ["soulOfIsaac", CardType.SOUL_OF_ISAAC], // 81
  ["soulIsaac", CardType.SOUL_OF_ISAAC], // 81
  ["isaac", CardType.SOUL_OF_ISAAC], // 81
  ["soulOfMagdalene", CardType.SOUL_OF_MAGDALENE], // 82
  ["soulMagdalene", CardType.SOUL_OF_MAGDALENE], // 82
  ["magdalene", CardType.SOUL_OF_MAGDALENE], // 82
  ["soulOfCain", CardType.SOUL_OF_CAIN], // 83
  ["soulCain", CardType.SOUL_OF_CAIN], // 83
  ["cain", CardType.SOUL_OF_CAIN], // 83
  ["soulOfJudas", CardType.SOUL_OF_JUDAS], // 84
  ["soulJudas", CardType.SOUL_OF_JUDAS], // 84
  ["judas", CardType.SOUL_OF_JUDAS], // 84
  ["soulOf???", CardType.SOUL_OF_BLUE_BABY], // 85
  ["soul???", CardType.SOUL_OF_BLUE_BABY], // 85
  ["???", CardType.SOUL_OF_BLUE_BABY], // 85
  ["soulOfBlueBaby", CardType.SOUL_OF_BLUE_BABY], // 85
  ["soulBlueBaby", CardType.SOUL_OF_BLUE_BABY], // 85
  ["blueBaby", CardType.SOUL_OF_BLUE_BABY], // 85
  ["soulOfEve", CardType.SOUL_OF_EVE], // 86
  ["soulEve", CardType.SOUL_OF_EVE], // 86
  ["eve", CardType.SOUL_OF_EVE], // 86
  ["soulOfSamson", CardType.SOUL_OF_SAMSON], // 87
  ["soulSamson", CardType.SOUL_OF_SAMSON], // 87
  ["samson", CardType.SOUL_OF_SAMSON], // 87
  ["soulOfAzazel", CardType.SOUL_OF_AZAZEL], // 88
  ["soulAzazel", CardType.SOUL_OF_AZAZEL], // 88
  ["azazel", CardType.SOUL_OF_AZAZEL], // 88
  ["soulOfLazarus", CardType.SOUL_OF_LAZARUS], // 89
  ["soulLazarus", CardType.SOUL_OF_LAZARUS], // 89
  ["lazarus", CardType.SOUL_OF_LAZARUS], // 89
  ["soulOfEden", CardType.SOUL_OF_EDEN], // 90
  ["soulEden", CardType.SOUL_OF_EDEN], // 90
  ["eden", CardType.SOUL_OF_EDEN], // 90
  ["soulOfTheLost", CardType.SOUL_OF_LOST], // 91
  ["soulTheLost", CardType.SOUL_OF_LOST], // 91
  ["theLost", CardType.SOUL_OF_LOST], // 91
  ["soulOfLost", CardType.SOUL_OF_LOST], // 91
  ["soulLost", CardType.SOUL_OF_LOST], // 91
  ["lost", CardType.SOUL_OF_LOST], // 91
  ["soulOfLilith", CardType.SOUL_OF_LILITH], // 92
  ["soulLilith", CardType.SOUL_OF_LILITH], // 92
  ["lilith", CardType.SOUL_OF_LILITH], // 92
  ["soulOfTheKeeper", CardType.SOUL_OF_KEEPER], // 93
  ["soulTheKeeper", CardType.SOUL_OF_KEEPER], // 93
  ["theKeeper", CardType.SOUL_OF_KEEPER], // 93
  ["soulOfKeeper", CardType.SOUL_OF_KEEPER], // 93
  ["soulKeeper", CardType.SOUL_OF_KEEPER], // 93
  ["keeper", CardType.SOUL_OF_KEEPER], // 93
  ["soulOfApollyon", CardType.SOUL_OF_APOLLYON], // 94
  ["soulApollyon", CardType.SOUL_OF_APOLLYON], // 94
  ["apollyon", CardType.SOUL_OF_APOLLYON], // 94
  ["soulOfTheForgotten", CardType.SOUL_OF_FORGOTTEN], // 95
  ["soulTheForgotten", CardType.SOUL_OF_FORGOTTEN], // 95
  ["theForgotten", CardType.SOUL_OF_FORGOTTEN], // 95
  ["soulOfForgotten", CardType.SOUL_OF_FORGOTTEN], // 95
  ["soulForgotten", CardType.SOUL_OF_FORGOTTEN], // 95
  ["forgotten", CardType.SOUL_OF_FORGOTTEN], // 95
  ["soulOfBethany", CardType.SOUL_OF_BETHANY], // 96
  ["soulBethany", CardType.SOUL_OF_BETHANY], // 96
  ["bethany", CardType.SOUL_OF_BETHANY], // 96
  ["soulOfJacobAndEsau", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["soulJacobAndEsau", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["jacobAndEsau", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["soulOfJacob&Esau", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["soulJacob&Esau", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["jacob&Esau", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["soulOfJacob", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["soulJacob", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
  ["jacob", CardType.SOUL_OF_JACOB_AND_ESAU], // 97
]);
